2023-06-07 07:38 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004435UltimateGolf[All Projects] Generalpublic2021-05-14 00:56
ReporterVelociraptor5 
Assigned ToStingRayProject InfoUltimate Golf (Gremlin)
http://www.whdload.de/games/UltimateGolf.html
 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0004435: Ultimate Golf - Missing music
DescriptionGameVersion: english, PAL, SPS 2129
SlaveVersion: 1.2 (07-Feb-2016)

The game is missing music.
I tried everything usual... all CE, without CE, Fastest possible..., Tooltypes, just all, without success.
Also tested on A500 mode+WHDLoad... the same problem
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
imported
Attached Files
  • ? file icon .whdl_register (3,162 bytes) 2021-05-13 19:00 -
    ************************* 13-May-21 18:56:37 ************************18.7.6266***
    Slave='UltimateGolf.Slave' (1532 bytes)
    Resload   47FEC770 - 47FF4088 (  31000) at 47FEC770  GL=$47FF4190
    Slave     47FFC040 - 47FFC618 (   1496) at 47FFC040  BaseMemSize=$80000
    attn=207(UAE,30) fc=-1 kn=23100 cs=18C5 rw=0 zpt=-1 ep=0 ei=0
    setcpu=13E(IC,SCB,ECB,BWT)
    
    Exception "Illegal Instruction" ($10) at $47DA6 occured.
    
    $00047d64 bset         #6,($478f0)
    $00047d6c tst.w        ($47d4c)
    $00047d72 bne.b        $47d94
    $00047d74 movem.l      d0-d7/a0-a6,-(a7)              ;$0003ef4e
    $00047d78 moveq        #1,d0
    $00047d7a jsr          ($516f0)
    $00047d80 movem.l      (a7)+,d0-d7/a0-a6              ;$0003ef4e
    $00047d84 st           ($47d4c)
    $00047d8a bra.w        $47d94
    $00047d8e clr.w        ($47d4c)
    $00047d94 move.w       ($dff00c),d0
    $00047d9a btst         #1,d0
    $00047d9e jsr          ($47ffc496)
    $00047da4 nop
    1m$00047da6 ori.b        #??4,a1
    22m$00047daa bset         #2,d2
    $00047dae move.w       d0,d1
    $00047db0 lsr.w        #1,d1
    $00047db2 eor.w        d0,d1
    $00047db4 btst         #0,d1
    $00047db8 beq.b        $47dbe
    $00047dba bset         #1,d2
    $00047dbe btst         #8,d1
    $00047dc2 beq.b        $47dc8
    $00047dc4 bset         #0,d2
    $00047dc8 move.b       d2,($478e4)
    $00047dce btst         #0,($478e4)
    $00047dd6 beq.b        $47df8
    $00047dd8 clr.w        ($47f9e)
    
    exception stackframe:
    $0003EF4E 23000004 7DA60010
    regular stack:
    $0003EF56 00047A96 000000F2 0000007F 000000FF 00000000 00000640 00000000 00000028
    $0003EF76 00000002 00068645 00042F16 0006942C 0001C05A 0001C06E 0001C082 00068E2C
    $0003EF96 20000004 2F24006C 0004128E 00039A82 00006100 21E24A79 000507B2 6B220C79
    $0003EFB6 00070005 07B26E18 4EB947FF C3565340 D040D040 41FA00EA 20700000 60000006
    $0003EFD6 41FA002E 723C7032 4E4641FA 003A7246 70324E46 0C390039 00047C84 66F64EB9
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0        7F         0         0       640         0        28         2
    Ax    68645     42F16     6942C     1C05A     1C06E     1C082     68E2C
    
                     TTSM III   XNZVC
    PC=   47DA622m  SR=%0010001100000000  USP=7FC00  1mISP=3EF4E  MSP=7F800
    VBR=47FF5190  SFC=5  DFC=5  CACR=2011  CAAR=0  TT0=0  TT1=0
    TC=0  CRP=100000000  SRP=100000000  MMUSR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010001111111100022m dmacon=%1m0010011111100000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A300  vhposr...024D  joy0dat..0100  joy1dat..0000  clxdat...8000  
    pot0dat..3B00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..0055  
    deniseid.00F8  hhposr...00B1  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000100022m  ta= 2FF< 2FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111111022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000174  icr=00  sdr=B3    event=01C6D4  icr=00  sdr=00
    
    ? file icon .whdl_register (3,162 bytes) 2021-05-13 19:00 +

-Relationships
+Relationships

-Notes

note ~0007984

retrogamer (reporter)

From http://www.whdload.de/games/UltimateGolf.html

NOTES:
- Music is disabled (because collision with data)

note ~0007985

Velociraptor5 (reporter)

@retrogamer
I see, you are probably the install maker. This problem was already at the oldest install from year 2000. It doesn't mean, it couldn't be revisited after years. The game without music.... better no install than this.

note ~0007986

retrogamer (reporter)

No I'm not the install maker Bored Seal & StingRay is.

note ~0010204

StingRay (developer)

Music was not replayed due to a wrong fix for the interrupt bug in the Ben Daglish replayer.

New patch will be available soon, it will use files rather than a disk image and will have some other improvements.

note ~0010257

StingRay (developer)

Last edited: 2021-05-14 00:56

View 2 revisions

Patch rewritten, title music is now replayed, load/save support has been done properly etc. pp. Game needs to be reinstalled!

note ~0010258

Retroplay (reporter)

New v1.3 slave crashes when I press J for joystick controls.
(M)ouse and (K)eyboard is fine.

Register attached.

note ~0010259

StingRay (developer)

Caused by a typo in the interrupt acknowledge patch. Fixed in 1.3a.
+Notes

-Issue History
Date Modified Username Field Change
2020-03-29 16:24 Velociraptor5 New Issue
2020-03-29 17:15 retrogamer Note Added: 0007984
2020-03-29 18:07 Velociraptor5 Note Added: 0007985
2020-03-29 18:42 retrogamer Note Added: 0007986
2021-05-05 08:28 StingRay Assigned To => StingRay
2021-05-05 08:28 StingRay Status new => assigned
2021-05-05 16:45 StingRay Note Added: 0010204
2021-05-05 16:54 StingRay Status assigned => confirmed
2021-05-13 18:38 StingRay Note Added: 0010257
2021-05-13 18:39 StingRay Status confirmed => resolved
2021-05-13 18:39 StingRay Resolution open => fixed
2021-05-13 19:00 Retroplay File Added: .whdl_register
2021-05-13 19:00 Retroplay Note Added: 0010258
2021-05-13 20:15 StingRay Note Added: 0010259
2021-05-14 00:56 StingRay Note Edited: 0010257 View Revisions
+Issue History